### Class

# Clutter PathConstraint

since: 13

#### Description [src]

    final class Clutter.PathConstraint : Clutter.Constraint
    {
      /* No available fields */
    }

A constraint that follows a path

`ClutterPathConstraint` is a simple constraint that modifies the allocation of the `ClutterActor` to which it has been applied using a `ClutterPath`.

By setting the `ClutterPathConstraint:offset` property it is possible to control how far along the path the `ClutterActor` should be..

Available since: 13

#### Ancestors

- ClutterConstraint
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### clutter_path_constraint_new

Creates a new `ClutterPathConstraint` with the given `path` and `offset`.

since: 13

#### Instance methods

###### clutter_path_constraint_get_offset

Retrieves the offset along the `ClutterPath` used by `constraint`.

since: 13

###### clutter_path_constraint_get_path

Retrieves a pointer to the `ClutterPath` used by `constraint`.

since: 13

###### clutter_path_constraint_set_offset

Sets the offset along the `ClutterPath` used by `constraint`.

since: 13

###### clutter_path_constraint_set_path

Sets the `path` to be followed by the `ClutterPathConstraint`.

since: 13

##### Methods inherited from ClutterConstraint (1)

###### clutter_constraint_update_preferred_size

Asks the `constraint` to update the size request of a `ClutterActor`.

since: 13

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

since: 13

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

since: 13

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`

since: 13

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

since: 13

###### clutter_actor_meta_set_name

Sets the name of `meta`.

since: 13

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.PathConstraint:offset

The offset along the `ClutterPathConstraint:path`, between -1.0 and 2.0.

since: 13

###### Clutter.PathConstraint:path

The `ClutterPath` used to constrain the position of an actor.

since: 13

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

since: 13

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

since: 13

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

since: 13

#### Signals

###### Clutter.PathConstraint::node-reached

The signal is emitted each time a `ClutterPathConstraint:offset` value results in the actor passing a `ClutterPathNode`.

since: 13

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ClutterPathConstraintClass {
      /* no available fields */
    }

No description available.